PyInstance (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PyInstance

    java.lang.Object
      |
      +--org.python.core.PyObject
            |
            +--org.python.core.PyInstance

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PyFinalizableInstance, PyJavaInstance

public class PyInstance
extends PyObject

A python class instance.

See Also:
  Serialized Form

Field Summary
`PyObject` | `__dict__` The namespace of this instance.

Fields inherited from class org.python.core.PyObject
`__class__`

Constructor Summary
`PyInstance()`
`PyInstance(PyClass iclass)`
`PyInstance(PyClass iclass, PyObject dict)` Returns a new

Method Summary
`PyObject` | `__abs__()` Implements the __abs__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__add__(PyObject o)` Implements the __add__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__and__(PyObject o)` Implements the __and__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__call__(PyObject[] args, java.lang.String[] keywords)` The basic method to override when implementing a callable object.
`int` | `__cmp__(PyObject o)` Equivalent to the standard Python __cmp__ method.
`java.lang.Object` | `__coerce_ex__(PyObject o)` Implements numeric coercion
`PyComplex` | `__complex__()` Implements the __complex__ method by looking it up in the instance's dictionary and calling it if it is found.
`boolean` | `__contains__(PyObject o)` Equivalent to the standard Python __contains__ method.
`void` | `__delattr__(java.lang.String name)` A variant of the __delattr__ method which accepts a String as the key.
`void` | `__delitem__(PyObject key)` Equivalent to the standard Python __delitem__ method.
`PyObject` | `__div__(PyObject o)` Implements the __div__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__divmod__(PyObject o)` Implements the __divmod__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__eq__(PyObject o)` Equivalent to the standard Python __eq__ method.
`PyObject` | `__findattr__(java.lang.String name)` A variant of the __findattr__ method which accepts a Java `String` as the name.
`PyObject` | `__findattr__(java.lang.String name, boolean stopAtJava)`
`PyObject` | `__finditem__(int key)` A variant of the __finditem__ method which accepts a primitive `int` as the key.
`PyObject` | `__finditem__(PyObject key)` Very similar to the standard Python __getitem__ method.
`PyFloat` | `__float__()` Implements the __float__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__ge__(PyObject o)` Equivalent to the standard Python __ge__ method.
`PyObject` | `__getitem__(PyObject key)` Equivalent to the standard Python __getitem__ method.
`PyObject` | `__gt__(PyObject o)` Equivalent to the standard Python __gt__ method.
`PyString` | `__hex__()` Implements the __hex__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__iadd__(PyObject o)` Implements the __iadd__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__iand__(PyObject o)` Implements the __iand__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__idiv__(PyObject o)` Implements the __idiv__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__ilshift__(PyObject o)` Implements the __ilshift__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__imod__(PyObject o)` Implements the __imod__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__imul__(PyObject o)` Implements the __imul__ method by looking it up in the instance's dictionary and calling it if it is found.
`void` | `__init__(PyObject[] args, java.lang.String[] keywords)`
`PyInteger` | `__int__()` Implements the __int__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__invert__()` Implements the __invert__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__ior__(PyObject o)` Implements the __ior__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__ipow__(PyObject o)` Implements the __ipow__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__irshift__(PyObject o)` Implements the __irshift__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__isub__(PyObject o)` Implements the __isub__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__ixor__(PyObject o)` Implements the __ixor__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__jfindattr__(java.lang.String name)`
`PyObject` | `__le__(PyObject o)` Equivalent to the standard Python __le__ method.
`int` | `__len__()` Equivalent to the standard Python __len__ method.
`PyLong` | `__long__()` Implements the __long__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__lshift__(PyObject o)` Implements the __lshift__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__lt__(PyObject o)` Equivalent to the standard Python __lt__ method.
`PyObject` | `__mod__(PyObject o)` Implements the __mod__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__mul__(PyObject o)` Implements the __mul__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__ne__(PyObject o)` Equivalent to the standard Python __ne__ method.
`PyObject` | `__neg__()` Implements the __neg__ method by looking it up in the instance's dictionary and calling it if it is found.
`boolean` | `__nonzero__()` Equivalent to the standard Python __nonzero__ method.
`PyString` | `__oct__()` Implements the __oct__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__or__(PyObject o)` Implements the __or__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__pos__()` Implements the __pos__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__pow__(PyObject o)` Implements the __pow__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__radd__(PyObject o)` Implements the __radd__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__rand__(PyObject o)` Implements the __rand__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__rdiv__(PyObject o)` Implements the __rdiv__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__rdivmod__(PyObject o)` Implements the __rdivmod__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyString` | `__repr__()` Equivalent to the standard Python __repr__ method.
`PyObject` | `__rlshift__(PyObject o)` Implements the __rlshift__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__rmod__(PyObject o)` Implements the __rmod__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__rmul__(PyObject o)` Implements the __rmul__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__ror__(PyObject o)` Implements the __ror__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__rpow__(PyObject o)` Implements the __rpow__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__rrshift__(PyObject o)` Implements the __rrshift__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__rshift__(PyObject o)` Implements the __rshift__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__rsub__(PyObject o)` Implements the __rsub__ method by looking it up in the instance's dictionary and calling it if it is found.
`PyObject` | `__rxor__(PyObject o)` Implements the __rxor__ method by looking it up in the instance's dictionary and calling it if it is found.
`void` | `__setattr__(java.lang.String name, PyObject value)` A variant of the __setattr__ method which accepts a String as the key.
`void` | `__setitem__(PyObject key, PyObject value)` Equivalent to the standard Python __setitem__ method.
`PyString` | `__str__()` Equivalent to the standard Python __str__ method.
`PyObject` | `__sub__(PyObject o)` Implements the __sub__ method by looking it up in the instance's dictionary and calling it if it is found.
`java.lang.Object` | `__tojava__(java.lang.Class c)` Equivalent to the Jython __tojava__ method.
`PyObject` | `__xor__(PyObject o)` Implements the __xor__ method by looking it up in the instance's dictionary and calling it if it is found.
`int` | `hashCode()`
`PyObject` | `invoke_ex(java.lang.String name)`
`PyObject` | `invoke_ex(java.lang.String name, PyObject arg1)`
`PyObject` | `invoke_ex(java.lang.String name, PyObject[] args, java.lang.String[] keywords)`
`PyObject` | `invoke_ex(java.lang.String name, PyObject arg1, PyObject arg2)`
`PyObject` | `invoke(java.lang.String name)` Shortcut for calling a method on a PyObject with no args.
`PyObject` | `invoke(java.lang.String name, PyObject arg1)` Shortcut for calling a method on a PyObject with one arg.
`PyObject` | `invoke(java.lang.String name, PyObject arg1, PyObject arg2)` Shortcut for calling a method on a PyObject with two args.

Methods inherited from class org.python.core.PyObject
`__call__, __call__, __call__, __call__, __call__, __call__, __call__, __coerce__, __delattr__, __delitem__, __delslice__, __delslice__, __dir__, __findattr__, __finditem__, __getattr__, __getattr__, __getitem__, __getslice__, __getslice__, __hash__, __idivmod__, __not__, __pow__, __setattr__, __setitem__, __setitem__, __setslice__, __setslice__, _add, _and, _callextra, _cmp, _div, _divmod, _dodel, _doget, _doget, _doset, _eq, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _xor, equals, invoke, invoke, isCallable, isMappingType, isNumberType, isSequenceType, safeRepr`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __dict__

    public PyObject __dict__

  The namespace of this instance. Contains all instance attributes.

Constructor Detail

### PyInstance

    public PyInstance(PyClass iclass,
                      PyObject dict)

  Returns a new

### PyInstance

    public PyInstance(PyClass iclass)

### PyInstance

    public PyInstance()

Method Detail

### __tojava__

    public java.lang.Object __tojava__(java.lang.Class c)

  Description copied from class: `PyObject`
  Equivalent to the Jython __tojava__ method. Tries to coerce this object to an instance of the requested Java class. Returns the special object `Py.NoConversion` if this `PyObject` can not be converted to the desired Java class.

  Overrides:
    `__tojava__` in class `PyObject`
  Parameters:
    `c` - the Class to convert this `PyObject` to.

### __init__

    public void __init__(PyObject[] args,
                         java.lang.String[] keywords)

### __jfindattr__

    public PyObject __jfindattr__(java.lang.String name)

### __findattr__

    public PyObject __findattr__(java.lang.String name)

  Description copied from class: `PyObject`
  A variant of the __findattr__ method which accepts a Java `String` as the name. By default, this method will call `__findattr__(PyString name)` with the appropriate args. The only reason to override this method is for performance. Warning: name must be an interned string!!!!!!!!

  Overrides:
    `__findattr__` in class `PyObject`
  Parameters:
    `name` - the name to lookup in this namespace must be an interned string .
  Returns:
    the value corresponding to name or null if name is not found
  See Also:
    `PyObject.__findattr__(PyString)`

### __findattr__

    public PyObject __findattr__(java.lang.String name,
                                 boolean stopAtJava)

### invoke

    public PyObject invoke(java.lang.String name)

  Description copied from class: `PyObject`
  Shortcut for calling a method on a PyObject with no args.

  Overrides:
    `invoke` in class `PyObject`
  Parameters:
    `name` - the name of the method to call. This must be an interned string!
  Returns:
    the result of calling the method name with no args

### invoke

    public PyObject invoke(java.lang.String name,
                           PyObject arg1)

  Description copied from class: `PyObject`
  Shortcut for calling a method on a PyObject with one arg.

  Overrides:
    `invoke` in class `PyObject`
  Parameters:
    `name` - the name of the method to call. This must be an interned string!
    `arg1` - the one argument of the method.
  Returns:
    the result of calling the method name with arg1

### invoke

    public PyObject invoke(java.lang.String name,
                           PyObject arg1,
                           PyObject arg2)

  Description copied from class: `PyObject`
  Shortcut for calling a method on a PyObject with two args.

  Overrides:
    `invoke` in class `PyObject`
  Parameters:
    `name` - the name of the method to call. This must be an interned string!
    `arg1` - the first argument of the method.
    `arg2` - the second argument of the method.
  Returns:
    the result of calling the method name with arg1 and arg2

### __setattr__

    public void __setattr__(java.lang.String name,
                            PyObject value)

  Description copied from class: `PyObject`
  A variant of the __setattr__ method which accepts a String as the key. This String must be interned.

  Overrides:
    `__setattr__` in class `PyObject`
  Parameters:
    `name` - the name whose value will be set - must be an interned string .
    `value` - the value to set this name to
  See Also:
    `PyObject.__setattr__(PyString, PyObject)`

### __delattr__

    public void __delattr__(java.lang.String name)

  Description copied from class: `PyObject`
  A variant of the __delattr__ method which accepts a String as the key. This String must be interned. By default, this will call `__delattr__(PyString name)` with the appropriate args. The only reason to override this method is for performance.

  Overrides:
    `__delattr__` in class `PyObject`
  Parameters:
    `name` - the name which will be removed - must be an interned string .
  See Also:
    `PyObject.__delattr__(PyString)`

### invoke_ex

    public PyObject invoke_ex(java.lang.String name,
                              PyObject[] args,
                              java.lang.String[] keywords)

### invoke_ex

    public PyObject invoke_ex(java.lang.String name)

### invoke_ex

    public PyObject invoke_ex(java.lang.String name,
                              PyObject arg1)

### invoke_ex

    public PyObject invoke_ex(java.lang.String name,
                              PyObject arg1,
                              PyObject arg2)

### __call__

    public PyObject __call__(PyObject[] args,
                             java.lang.String[] keywords)

  Description copied from class: `PyObject`
  The basic method to override when implementing a callable object. The first len(args)-len(keywords) members of args[] are plain arguments. The last len(keywords) arguments are the values of the keyword arguments.

  Overrides:
    `__call__` in class `PyObject`
  Parameters:
    `args` - all arguments to the function (including keyword arguments).
    `keywords` - the keywords used for all keyword arguments.

### __repr__

    public PyString __repr__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __repr__ method. This method should not typically need to be overrriden. The easiest way to configure the string representation of a `PyObject` is to override the standard Java `toString` method.

  Overrides:
    `__repr__` in class `PyObject`

### __str__

    public PyString __str__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __str__ method. This method should not typically need to be overridden. The easiest way to configure the string representation of a `PyObject` is to override the standard Java `toString` method.

  Overrides:
    `__str__` in class `PyObject`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PyObject`

### __cmp__

    public int __cmp__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __cmp__ method.

  Overrides:
    `__cmp__` in class `PyObject`
  Parameters:
    `o` - the object to compare this with.
  Returns:
    -1 if this < 0; 0 if this == o; +1 if this > o; -2 if no comparison is implemented

### __lt__

    public PyObject __lt__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __lt__ method.

  Overrides:
    `__lt__` in class `PyObject`
  Parameters:
    `o` - the object to compare this with.
  Returns:
    the result of the comparison.

### __le__

    public PyObject __le__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __le__ method.

  Overrides:
    `__le__` in class `PyObject`
  Parameters:
    `o` - the object to compare this with.
  Returns:
    the result of the comparison.

### __gt__

    public PyObject __gt__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __gt__ method.

  Overrides:
    `__gt__` in class `PyObject`
  Parameters:
    `o` - the object to compare this with.
  Returns:
    the result of the comparison.

### __ge__

    public PyObject __ge__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __ge__ method.

  Overrides:
    `__ge__` in class `PyObject`
  Parameters:
    `o` - the object to compare this with.
  Returns:
    the result of the comparison.

### __eq__

    public PyObject __eq__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __eq__ method.

  Overrides:
    `__eq__` in class `PyObject`
  Parameters:
    `o` - the object to compare this with.
  Returns:
    the result of the comparison.

### __ne__

    public PyObject __ne__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __ne__ method.

  Overrides:
    `__ne__` in class `PyObject`
  Parameters:
    `o` - the object to compare this with.
  Returns:
    the result of the comparison.

### __nonzero__

    public boolean __nonzero__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __nonzero__ method. Returns whether of not a given `PyObject` is considered true.

  Overrides:
    `__nonzero__` in class `PyObject`

### __len__

    public int __len__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __len__ method. Part of the mapping discipline.

  Overrides:
    `__len__` in class `PyObject`
  Returns:
    the length of the object

### __finditem__

    public PyObject __finditem__(int key)

  Description copied from class: `PyObject`
  A variant of the __finditem__ method which accepts a primitive `int` as the key. By default, this method will call `__finditem__(PyObject key)` with the appropriate args. The only reason to override this method is for performance.

  Overrides:
    `__finditem__` in class `PyObject`
  Parameters:
    `key` - the key to lookup in this sequence.
  Returns:
    the value corresponding to key or null if key is not found.
  See Also:
    `PyObject.__finditem__(PyObject)`

### __finditem__

    public PyObject __finditem__(PyObject key)

  Description copied from class: `PyObject`
  Very similar to the standard Python __getitem__ method. Instead of throwing a KeyError if the item isn't found, this just returns null. Classes that wish to implement __getitem__ should override this method instead (with the appropriate semantics.

  Overrides:
    `__finditem__` in class `PyObject`
  Parameters:
    `key` - the key to lookup in this container
  Returns:
    the value corresponding to key or null if key is not found

### __getitem__

    public PyObject __getitem__(PyObject key)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __getitem__ method. This method should not be overridden. Override the `__finditem__` method instead.

  Overrides:
    `__getitem__` in class `PyObject`
  Parameters:
    `key` - the key to lookup in this container.
  Returns:
    the value corresponding to that key.
  See Also:
    `PyObject.__finditem__(PyObject)`

### __setitem__

    public void __setitem__(PyObject key,
                            PyObject value)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __setitem__ method.

  Overrides:
    `__setitem__` in class `PyObject`
  Parameters:
    `key` - the key whose value will be set
    `value` - the value to set this key to

### __delitem__

    public void __delitem__(PyObject key)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __delitem__ method.

  Overrides:
    `__delitem__` in class `PyObject`
  Parameters:
    `key` - the key to be removed from the container

### __contains__

    public boolean __contains__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __contains__ method.

  Overrides:
    `__contains__` in class `PyObject`
  Parameters:
    `o` - the element to search for in this container.
  Returns:
    the result of the search.

### __coerce_ex__

    public java.lang.Object __coerce_ex__(PyObject o)

  Description copied from class: `PyObject`
  Implements numeric coercion

  Overrides:
    `__coerce_ex__` in class `PyObject`
  Parameters:
    `o` - the other object involved in the coercion
  Returns:
    null if no coercion is possible; a single PyObject to use to replace o if this is unchanged; or a PyObject[2] consisting of replacements for this and o.

### __hex__

    public PyString __hex__()

  Implements the __hex__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__hex__` in class `PyObject`
  Returns:
    a string representing this object as a hexadecimal number.

### __oct__

    public PyString __oct__()

  Implements the __oct__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__oct__` in class `PyObject`
  Returns:
    a string representing this object as an octal number.

### __int__

    public PyInteger __int__()

  Implements the __int__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__int__` in class `PyObject`
  Returns:
    an integer corresponding to the value of this object.

### __float__

    public PyFloat __float__()

  Implements the __float__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__float__` in class `PyObject`
  Returns:
    a float corresponding to the value of this object.

### __long__

    public PyLong __long__()

  Implements the __long__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__long__` in class `PyObject`
  Returns:
    a PyLong corresponding to the value of this object.

### __complex__

    public PyComplex __complex__()

  Implements the __complex__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__complex__` in class `PyObject`
  Returns:
    a complex number corresponding to the value of this object.

### __pos__

    public PyObject __pos__()

  Implements the __pos__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__pos__` in class `PyObject`
  Returns:
    +this.

### __neg__

    public PyObject __neg__()

  Implements the __neg__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__neg__` in class `PyObject`
  Returns:
    -this.

### __abs__

    public PyObject __abs__()

  Implements the __abs__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__abs__` in class `PyObject`
  Returns:
    abs(this).

### __invert__

    public PyObject __invert__()

  Implements the __invert__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__invert__` in class `PyObject`
  Returns:
    ~this.

### __add__

    public PyObject __add__(PyObject o)

  Implements the __add__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__add__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the add, or null if this operation is not defined

### __radd__

    public PyObject __radd__(PyObject o)

  Implements the __radd__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__radd__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the left-hand operand).
  Returns:
    the result of the add, or null if this operation is not defined.

### __iadd__

    public PyObject __iadd__(PyObject o)

  Implements the __iadd__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__iadd__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the add, or null if this operation is not defined

### __sub__

    public PyObject __sub__(PyObject o)

  Implements the __sub__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__sub__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the sub, or null if this operation is not defined

### __rsub__

    public PyObject __rsub__(PyObject o)

  Implements the __rsub__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__rsub__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the left-hand operand).
  Returns:
    the result of the sub, or null if this operation is not defined.

### __isub__

    public PyObject __isub__(PyObject o)

  Implements the __isub__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__isub__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the sub, or null if this operation is not defined

### __mul__

    public PyObject __mul__(PyObject o)

  Implements the __mul__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__mul__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the mul, or null if this operation is not defined

### __rmul__

    public PyObject __rmul__(PyObject o)

  Implements the __rmul__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__rmul__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the left-hand operand).
  Returns:
    the result of the mul, or null if this operation is not defined.

### __imul__

    public PyObject __imul__(PyObject o)

  Implements the __imul__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__imul__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the mul, or null if this operation is not defined

### __div__

    public PyObject __div__(PyObject o)

  Implements the __div__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__div__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the div, or null if this operation is not defined

### __rdiv__

    public PyObject __rdiv__(PyObject o)

  Implements the __rdiv__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__rdiv__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the left-hand operand).
  Returns:
    the result of the div, or null if this operation is not defined.

### __idiv__

    public PyObject __idiv__(PyObject o)

  Implements the __idiv__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__idiv__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the div, or null if this operation is not defined

### __mod__

    public PyObject __mod__(PyObject o)

  Implements the __mod__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__mod__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the mod, or null if this operation is not defined

### __rmod__

    public PyObject __rmod__(PyObject o)

  Implements the __rmod__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__rmod__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the left-hand operand).
  Returns:
    the result of the mod, or null if this operation is not defined.

### __imod__

    public PyObject __imod__(PyObject o)

  Implements the __imod__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__imod__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the mod, or null if this operation is not defined

### __divmod__

    public PyObject __divmod__(PyObject o)

  Implements the __divmod__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__divmod__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the divmod, or null if this operation is not defined

### __rdivmod__

    public PyObject __rdivmod__(PyObject o)

  Implements the __rdivmod__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__rdivmod__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the left-hand operand).
  Returns:
    the result of the divmod, or null if this operation is not defined.

### __pow__

    public PyObject __pow__(PyObject o)

  Implements the __pow__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__pow__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the pow, or null if this operation is not defined

### __rpow__

    public PyObject __rpow__(PyObject o)

  Implements the __rpow__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__rpow__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the left-hand operand).
  Returns:
    the result of the pow, or null if this operation is not defined.

### __ipow__

    public PyObject __ipow__(PyObject o)

  Implements the __ipow__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__ipow__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the pow, or null if this operation is not defined

### __lshift__

    public PyObject __lshift__(PyObject o)

  Implements the __lshift__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__lshift__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the lshift, or null if this operation is not defined

### __rlshift__

    public PyObject __rlshift__(PyObject o)

  Implements the __rlshift__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__rlshift__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the left-hand operand).
  Returns:
    the result of the lshift, or null if this operation is not defined.

### __ilshift__

    public PyObject __ilshift__(PyObject o)

  Implements the __ilshift__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__ilshift__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the lshift, or null if this operation is not defined

### __rshift__

    public PyObject __rshift__(PyObject o)

  Implements the __rshift__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__rshift__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the rshift, or null if this operation is not defined

### __rrshift__

    public PyObject __rrshift__(PyObject o)

  Implements the __rrshift__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__rrshift__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the left-hand operand).
  Returns:
    the result of the rshift, or null if this operation is not defined.

### __irshift__

    public PyObject __irshift__(PyObject o)

  Implements the __irshift__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__irshift__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the rshift, or null if this operation is not defined

### __and__

    public PyObject __and__(PyObject o)

  Implements the __and__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__and__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the and, or null if this operation is not defined

### __rand__

    public PyObject __rand__(PyObject o)

  Implements the __rand__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__rand__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the left-hand operand).
  Returns:
    the result of the and, or null if this operation is not defined.

### __iand__

    public PyObject __iand__(PyObject o)

  Implements the __iand__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__iand__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the and, or null if this operation is not defined

### __or__

    public PyObject __or__(PyObject o)

  Implements the __or__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__or__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the or, or null if this operation is not defined

### __ror__

    public PyObject __ror__(PyObject o)

  Implements the __ror__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__ror__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the left-hand operand).
  Returns:
    the result of the or, or null if this operation is not defined.

### __ior__

    public PyObject __ior__(PyObject o)

  Implements the __ior__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__ior__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the or, or null if this operation is not defined

### __xor__

    public PyObject __xor__(PyObject o)

  Implements the __xor__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__xor__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the xor, or null if this operation is not defined

### __rxor__

    public PyObject __rxor__(PyObject o)

  Implements the __rxor__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__rxor__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the left-hand operand).
  Returns:
    the result of the xor, or null if this operation is not defined.

### __ixor__

    public PyObject __ixor__(PyObject o)

  Implements the __ixor__ method by looking it up in the instance's dictionary and calling it if it is found.

  Overrides:
    `__ixor__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the xor, or null if this operation is not defined

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage